/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.benutzerverwaltung.boundary;

import de.ivu.elect.business.benutzerverwaltung.entity.BenutzerParameter;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class BenutzerParameterDAO extends AbstractBenutzerParameterDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(BenutzerParameter benutzerParameter){
    getEntityManager().persist(benutzerParameter);
  }

  public void remove(BenutzerParameter benutzerParameter){
    getEntityManager().remove(benutzerParameter);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: BenutzerNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM BenutzerParameter o WHERE o.benutzer=?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<BenutzerParameter> findByBenutzer( @javax.annotation.Nonnull de.ivu.elect.business.benutzerverwaltung.entity.Benutzer benutzer) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("BenutzerParameter.findByBenutzer" ,  benutzer  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByBenutzer( benutzer  ));
        }
        return (java.util.List<BenutzerParameter>) cached;
        }
            return super.findByBenutzer( benutzer  );
            }
                                                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}